Subject: Re: Specific question about packet dropping

From: Shan Wei <[email-masked]>
Date: Wed, 28 Nov 2012 19:45:29 +0800

Javier Domingo said, at 2012/11/28 18:40:
> Hi,
> 
> Where are packets dropped?
> 
> I reading code I think just found:
> - In the NIC
> - In the netif_receive_skb
> 
> Is there any other place I can have missed?

There is many reasons, following is not whole.

For receiver:
1. NIC
2. __netif_receive_skb(unknown packet type)
3. ip_rcv(abnormal packet, route reason...)
4. tcp/udp (unknown port, receive buff limit..)

For Sender:
1. tcp/udp(send buffer limit)
2. ip(route reason....)
3. arp(resolved_discards)
4. qdisc(queue limit)

Best Regards
Shan Wei

> 
> Javier Domingo
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>